Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class Counter

    java.lang.Object
      org.apache.struts2.util.Counter

All Implemented Interfaces:
  Serializable, Iterator

    public class Counter

extends Object
implements Iterator, Serializable

A bean that can be used to keep track of a counter.

Since it is an Iterator it can be used by the iterator tag

See Also:
  Serialized Form

Field Summary
`(package private) long` | `current`
`(package private) long` | `first`
`(package private) long` | `interval`
`(package private) long` | `last`
`private static long` | `serialVersionUID`
`(package private) boolean` | `wrap`

Constructor Summary
`Counter()`

Method Summary
`long` | `getCurrent()`
`long` | `getFirst()`
`long` | `getInterval()`
`long` | `getLast()`
`long` | `getNext()`
`long` | `getPrevious()`
`boolean` | `hasNext()`
`boolean` | `isWrap()`
`Object` | `next()`
`void` | `remove()`
`void` | `setAdd(long addition)`
`void` | `setCurrent(long current)`
`void` | `setFirst(long first)`
`void` | `setInterval(long interval)`
`void` | `setLast(long last)`
`void` | `setWrap(boolean wrap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### wrap

    boolean wrap

### first

    long first

### current

    long current

### interval

    long interval

### last

    long last

Constructor Detail

### Counter

    public Counter()

Method Detail

### setAdd

    public void setAdd(long addition)

### setCurrent

    public void setCurrent(long current)

### getCurrent

    public long getCurrent()

### setFirst

    public void setFirst(long first)

### getFirst

    public long getFirst()

### setInterval

    public void setInterval(long interval)

### getInterval

    public long getInterval()

### setLast

    public void setLast(long last)

### getLast

    public long getLast()

### getNext

    public long getNext()

### getPrevious

    public long getPrevious()

### setWrap

    public void setWrap(boolean wrap)

### isWrap

    public boolean isWrap()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.